libsigc++: sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > Class Template Reference

libsigc++ 2.10.6

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > Class Template Reference
Functors » mem_fun()

const_mem_functor3 wraps const methods with 3 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >:
[legend]

## Public Types
typedef T_return(T_obj::* | function_type) (T_arg1, T_arg2, T_arg3) const
typedef T_return | result_type

## Public Member Functions
| const_mem_functor3 ()
| Constructs an invalid functor. More...
| const_mem_functor3 (function_type _A_func)
| Constructs a const_mem_functor3 object that wraps the passed method. More...
T_return | operator() (const T_obj& _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3) const
| Execute the wrapped method operating on the passed instance. More...
T_return | operator() (const T_obj* _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3) const
| Execute the wrapped method operating on the passed instance. More...

## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3>
class sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >

const_mem_functor3 wraps const methods with 3 argument(s).

Use the convenience function mem_fun() to create an instance of const_mem_functor3.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

## ◆ function_type

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

typedef T_return(T_obj::* sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::function_type) (T_arg1, T_arg2, T_arg3) const

## ◆ result_type

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

typedef T_return sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::result_type

## Constructor & Destructor Documentation

## ◆ const_mem_functor3() [1/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::const_mem_functor3 | ( |  | ) |
| inline

Constructs an invalid functor.

## ◆ const_mem_functor3() [2/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::const_mem_functor3 | ( | function_type | _A_func | ) |
| inlineexplicit

Constructs a const_mem_functor3 object that wraps the passed method.

Parameters

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

## ◆ operator()() [1/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

T_return sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::operator() | ( | const T_obj & | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Reference to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## ◆ operator()() [2/2]

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

T_return sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::operator() | ( | const T_obj * | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Deprecated:
  Please use the constructor that takes the object by reference instead.

Parameters

  _A_obj | Pointer to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

## ◆ func_ptr_

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

function_type sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >::func_ptr_
| protected